- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- TimeWindow
Lists the Violations in the AssuredWorkload Environment. Callers may also choose to read across multiple Workloads as per AIP-159 by using '-' (the hyphen or dash character) as a wildcard character instead of workload-id in the parent. Format organizations/{org_id}/locations/{location}/workloads/-
HTTP request
GET https://{endpoint}/v1beta1/{parent=organizations/*/locations/*/workloads/*}/violations
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The workload to list violations for. To list violations across all workloads in an organization, use Format: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
interval |
Optional. The time window for retrieving violations. If specified, only violations that were active between |
pageSize |
Optional. The maximum number of violations to return. The service might return fewer violations than this value. If unspecified, at most 100 violations are returned. The maximum value is 1000; values above 1000 are coerced to 1000. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. A filter expression that restricts the violations that are returned. The syntax follows AIP-160. Only the equality operator ( When Example: |
view |
Optional. The violation view ( |
orderBy |
Optional. A comma-separated list of fields to sort the results by. The default sort order is ascending; to sort in descending order, append When |
Request body
The request body must be empty.
Response body
Response message for the violations.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"violations": [
{
object ( |
| Fields | |
|---|---|
violations[] |
The list of violations. |
nextPageToken |
A token that can be sent as |
totalSize |
The total number of violations that match the request, across all pages. This field might not be populated for all requests; when it's not populated, its value is |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/assuredworkloadshttps://www.googleapis.com/auth/assuredworkloads.readonlyhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
assuredworkloads.violations.list
For more information, see the IAM documentation.
TimeWindow
A time interval.
| JSON representation |
|---|
{ "startTime": string, "endTime": string } |
| Fields | |
|---|---|
startTime |
The start of the time window. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
endTime |
The end of the time window. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |